{
  onModifyMove(move, attacker, defender) {
    const ohkoMoves = ['fissure', 'guillotine', 'horndrill', 'sheercold'];
    if (
      defender &&
      move.type &&
      !ohkoMoves.includes(move.id) &&
      this.dex.getEffectiveness(move, defender) > 0
    ) {
      move.accuracy = true; 
    }
  },
  onBasePower(basePower, attacker, defender, move) {
    const ohkoMoves = ['fissure', 'guillotine', 'horndrill', 'sheercold'];
    if (
      move.type &&
      !ohkoMoves.includes(move.id) &&
      this.dex.getEffectiveness(move, defender) > 0
    ) {
      this.debug('Fatal Precision damage boost');
      return this.chainModify(1.2); 
    }
  },
  flags: {},
  name: "Fatal Precision",
  rating: 3.5,
  num: -1006,
}
